class EventsController < ApplicationController
  #Post /events  
  protect_from_forgery :only => :create
    
  def create
    if params[:event]
      @event = Event.new(params[:event][:srcip], params[:event][:vlanid], params[:event][:duration])
    
      begin    
        @event.block
        msg = "A Quarantine rule has been applied to block all traffic from intruder #{@event.block_ip} for one #{params[:event][:duration]} from now. "
        msg += "Visit the <a href='/settings/quarantine_rules'>quarantine rules</a> page to manage blocked events."
        flash[:notice] = msg
      rescue ApplianceExceptions::SystemExecuteException
        session[:error] = true
        flash[:notice] = "Encountered an error while attepting to create a Quarantine rule to block traffic from intruder "
        flash[:notice] += "#{@event.block_ip}" + " " + "Please consult the log files for further details."
      end
    end
    
    render :nothing => true
  end
end
