class LogManagersController < ApplicationController
  def index
    begin
      @logs = LogManager.all
    rescue ApplianceExceptions::LogreadException
      @error = true
      flash[:notice] = "There are no log files to display"
      @logs = []
    end
       
  end

  def show
    type = params[:type]
    name = params[:path_info].to_s  #if decide to use for browser display, need to sanitize to prevent XSS
    params[:file] = File.basename(name)
    file = params[:file]
    if type == 'logcategory' and LogManager.valid_name?(name)
      LogManager.download(name)
      send_file("#{ROOTDIR}tmp/#{name}.tgz", :stream=>false)
      LogManager.clean(name)
    elsif type =~ /^logevidence$/ and file = LogEvidence.fullpath(type,name)
      send_file file, :stream=>false
    elsif type =~ /^rollingpacketcapture$/ and file = RollingPacketCapture.fullpath(type,name)
      send_file file, :stream=>false
    elsif type =~ /^dropped$/ and file = DroppedPacketCapture.fullpath(type,name)
      send_file file, :stream=>false
    elsif type =~ /^snort$/ and file = SnortPacketCapture.fullpath(type,name)
      send_file file, :stream=>false
    else
      session[:error] = true
      flash[:notice] = "Unable to locate log or packet capture for download"
      redirect_to '/log_managers'
    end
  end
  
  def log_evidence
    begin
      @log_evidence = LogEvidence.all
    rescue ApplianceExceptions::LogreadException
      @log_evidence = []
    end
  end
  
  def rolling_packet_captures
    begin
      @rolling_packet_captures = RollingPacketCapture.all
    rescue ApplianceExceptions::LogreadException
      @rolling_packet_captures = []
    end
  end
  
  def dropped_packet_captures
    begin
      @dropped_packet_captures = DroppedPacketCapture.all
    rescue ApplianceExceptions::LogreadException
      @dropped_packet_captures = []
    end
  end
  
  def snort_packet_captures
    begin
      @snort_packet_captures = SnortPacketCapture.all
    rescue ApplianceExceptions::LogreadException
      @snort_packet_captures = []
    end
  end
  
  def delete_log_evidence
    res = `#{ROOTDIR}usr/bin/issasApache -a cta -pns http://www.iss.net/cml/NetworkDefender/ctdelcapfile -pv 1.0 -sv 1.0.0 -atn type -atv  logevidence -atn2 file -atv2 "*"`
    if res.strip == "OK"
      flash[:notice] = "Successfully deleted log evidence files."
    else
      session[:error] = true
      flash[:notice] = "Encountered an error while attempting to delete the log evidence files."
    end
    redirect_to :action => "index"    
  end
  
  def delete_rolling_packet_captures
    res = `#{ROOTDIR}usr/bin/issasApache -a cta -pns http://www.iss.net/cml/NetworkDefender/ctdelcapfile -pv 1.0 -sv 1.0.0 -atn type -atv  rollingpacketcapture -atn2 file -atv2 "*"`

    if res.strip == "OK"
      flash[:notice] = "Successfully deleted rolling packet captures."
    else
      session[:error] = true
      flash[:notice] = "Encountered an error while attempting to delete the rolling packet capture files."
    end
    
    redirect_to :action => "index"
  end
  
  def delete_dropped_packet_captures
    res = `#{ROOTDIR}usr/bin/issasApache -a cta -pns http://www.iss.net/cml/NetworkDefender/ctdelcapfile -pv 1.0 -sv 1.0.0 -atn type -atv  dropped -atn2 file -atv2 "*"`

    if res.strip == "OK"
      flash[:notice] = "Successfully deleted dropped packet captures."
    else
      session[:error] = true
      flash[:notice] = "Encountered an error while attempting to delete the dropped packet capture files."
    end
    
    redirect_to :action => "index"
  end

  def delete_snort_packet_captures
    res = `#{ROOTDIR}usr/bin/issasApache -a cta -pns http://www.iss.net/cml/NetworkDefender/ctdelcapfile -pv 1.0 -sv 1.0.0 -atn type -atv  snortpacketcapture -atn2 file -atv2 "snort.log.*"`

    if res.strip == "OK"
      flash[:notice] = "Successfully deleted SNORT packet captures."
    else
      session[:error] = true
      flash[:notice] = "Encountered an error while attempting to delete the SNORT packet capture files."
    end
    
    redirect_to :action => "snort_packet_captures"
  end
end
