class ProvinfoController < ApplicationController
  
  def index    
    create_provinfo()
  end

  def provinfo_ready     
    render :text => GatherProvinfo.ready?   
  end

  def download
    results = session[:provinfo].results
    file = provinfo_file

    if file != 0 and ! results.empty? and results[-1] == "1"       
      send_file file, :type=>"application/x-gzip"
    else 
      head(:no_content)  
    end 
  end

  def gather
    create_provinfo()
    session[:provinfo].gather()
  end
  
  private
  def create_provinfo(block=false)
    if session[:provinfo].present? and session[:provinfo].instance_of?(GatherProvinfo)
      session[:provinfo].destroy
      session[:provinfo] = nil
    end
    
    session[:provinfo] = GatherProvinfo.new(block)
  end
  
  def provinfo_file
    files = Dir.glob("#{PROVINFO_OUTPUT}/provinfo*.tgz")
    file = "0"
    if files.size > 0
      file = files[0]
    end  
    
    file
  end
  
  def get_provinfo_stats
    file = provinfo_file
    
    size = "0"
    mtime = "0"
    if file != "0"
      filename = file.split("/")[-1]
      
      filestats = File.new(file)
      size = filestats.stat.size
      mtime = filestats.stat.mtime
    end
    
    return filename, size, mtime
  end
end
