class Setup::LicenseController < Setup::SetupController
  protect_from_forgery :only=>[:upload_license]
  layout "setup"
  
  def index
    @messages = ""
    unless session[:messages].nil?
      @messages = session[:messages]
      session[:messages] = nil
    end
  end

  def upload_license
    session[:messages] = {}
    
    begin
      LicenseFile.save(params)
      session[:messages] = LicenseFile.install(params)
      session[:license_installed] = true if session[:messages][:status_failure].blank?
    rescue ApplianceExceptions::FileBlank
      logger.error "Rescued ApplianceExceptions::Blank exception"
      session[:messages][:status_failure] = {:blank_file => "You must select a valid license file to upload"}
    rescue ApplianceExceptions::FileTooLarge
      logger.error "Rescued ApplianceExceptions::FileTooLarge exception"
      session[:messages][:status_failure] = {:too_large => Message.new(:file_too_large, :error).text}
    rescue ApplianceExceptions::FileNotFound
      logger.error "Rescued ApplianceExceptions::FileNotFound exception"
      session[:messages][:status_failure] = {:file_not_found => Message.new(:file_not_found, :error).text}
    end
    redirect_to :action => "index"
  end


  def next_page
    altnav = params[:altnav]
    session[:license_good] = true if session[:license_installed]
    unless altnav.blank?
      navigate(altnav)
      return
    end
    
    session[:license_upload_set] = true
    redirect_to :action=>:index, :controller=>:root_password
    return
  end


  def prev_page
    redirect_to :action=>:index, :controller=>:license_agreement
    return
  end
  
  def navigate(altnav)
    redirect_to :controller => "/setup/#{altnav}"
  end

end

