class Setup::LmiPasswordController < Setup::SetupController
  layout "setup"

  def index
    @password = Password.find(:first, :conditions => ["account = 'admin'"])
    @password ||= Password.new
  end


  def create
    altnav = params[:altnav]
    
    unless altnav.blank?
      navigate(altnav)
      return
    end
    
    begin
      @password = Password.find(:first, :conditions => ["account = 'admin'"])
      @password ||= Password.new
      
      @password.password = params[:password][:password]
      @password.old_password = params[:password][:old_password]
      @password.password_confirmation = params[:password][:password_confirmation]
      @password.account = "admin"

      begin
        @password.save!
      rescue ApplianceExceptions::SetupException
        err = ""
        
        begin
          File.open("#{RAILS_ROOT}/tmp/setup_error.log", "r+") { |f| err = f.readlines }
        rescue
          flash[:notice] = "An unknown error has ocurred while attempting to set the password"
        end
        
        flash[:notice] = err.blank? ? "An unknown error has ocurred while attempting to set the password" : err
        redirect_to :action=>:index
        return
      end
      next_page
    rescue ActiveRecord::RecordInvalid
      render :index
    end
  end

   
  def next_page
    session[:lmi_password_set] = true
    redirect_to :action=>:index, :controller=>:management_interfaces
  end
  
  def navigate(altnav)
    session[:lmi_password_set] = true
    redirect_to :controller => "/setup/#{altnav}"
  end
  
end
