class Setup::ManagementInterfacesController < Setup::SetupController
  layout "setup"
  
  def index
    @management_interface = ManagementInterface.find(:first)
  end


  def create
    @management_interface = ManagementInterface.find(:first)

    begin
      unless @management_interface.blank?
        @management_interface = ManagementInterface.update(@management_interface.id, params[:management_interface])
      else
        @management_interface = ManagementInterface.new(params[:management_interface])
      end
      
      @management_interface.ipv4_address.strip! unless @management_interface.ipv4_address.nil?
      @management_interface.ipv4_netmask.strip! unless @management_interface.ipv4_netmask.nil?
      @management_interface.ipv4_gateway.strip! unless @management_interface.ipv4_gateway.nil?
      
      @management_interface.ipv6_address.strip! unless @management_interface.ipv6_address.nil?
      @management_interface.ipv6_prefix_length.strip! unless @management_interface.ipv6_prefix_length.nil?
      @management_interface.ipv6_gateway.strip! unless @management_interface.ipv6_gateway.nil?

      @management_interface.host_name.strip! unless @management_interface.host_name.nil?
      @management_interface.primary_dns.strip! unless @management_interface.primary_dns.nil?
      @management_interface.secondary_dns.strip! unless @management_interface.secondary_dns.nil?
      @management_interface.tertiary_dns.strip! unless @management_interface.tertiary_dns.nil?
      
      @management_interface.save!
      altnav = params[:altnav]
      
      if altnav.blank?
        next_page 
      else
        navigate(altnav)
      end  
      
    rescue ActiveRecord::RecordInvalid
      render :index
    end
  end

 
  def next_page
    session[:management_interfaces_set] = true
    redirect_to :action=>:index, :controller=>:xforce
  end
  
  def navigate(altnav)
    redirect_to :controller => "/setup/#{altnav}"
  end
  
end
