class Statistics::Interface::BandwidthController < ApplicationController
  def index
    @src = params[:id].nil? ? NetworkState.get_first_interface(@state) : params[:id]
    bandwidth = RrdSource.new("drv#{@src}", nil, true)
    resolution, timespan = NetworkState.get_resolution_and_timespan(params[:history])
   
    respond_to do |format|
      format.xml { @data = RrdSource.filter_by_keys(bandwidth.data, filter)}
      format.json {render :json => RrdSource.filter_by_keys(bandwidth.data(resolution, timespan), filter)}
    end
  end

  def show
    check_state()
    @port = params[:id].nil? ? NetworkState.get_first_interface(@state) : params[:id]
    segment_port = Adapter.find_by_port(@port).segment.port
    @iface_state = @state[segment_port][@port]
    @tabdata = {:name=>"Interface", :url=>"/statistics/interface/bandwidth", :alturl => "/statistics/segments/bandwidth"}
    @history = params[:history] !~ /hour|day|week|month/ ? "hour" : params[:history]
    @href = @tabdata[:url] + "/" + @port
  end

  def bandwidth
    bandwidth = RrdSource.new("drv", nil, true)

    respond_to do |format|
      format.xml {@data = RrdSource.filter_by_keys(bandwidth.data(3600, "24h"), filter)}
      format.json {render :json => RrdSource.filter_by_keys(bandwidth.data, filter)}
    end
  end

  private
  def check_state
    if @network_config_counts[:interface] == 0
      redirect_to :controller => "/dashboard/network" 
      return
    end
  end

  def filter
    ['Mbit/s in', 'Mbit/s out', 'Mbit/s secured', 'Mbit/s unanalyzed']
  end
end
