class Statistics::MemoryController < ApplicationController
  before_filter "get_health"
  def index
    memory = RrdSource.new("memory")
    
    respond_to do |format|
      format.html
      format.xml { @memory = memory.data(3600, "24h") } # index.xml.builder
      format.json { render :json => memory.data(300, "24h") }
    end
  end

  def current
    @memory = RrdSource.new("memory")
    
    respond_to do |format|
      format.html
      format.xml {render :xml => @memory.data}
      format.json {render :json => @memory.data}
    end
  end

  def snapshot
    session[:datapoints] ||= []

    m = DataSource.memory_percent_used
    session[:datapoints].push(m)
    session[:datapoints].shift if session[:datapoints].size == 11

    respond_to do |format|
      format.json{render :json => session[:datapoints]}
    end 
  end
  
  def get_health
    health = SqliteSource.new("system_health")
    @health = health.data("WHERE INDICATORID='8' AND STATE != '12'")
  end
end
