class Statistics::NetworkController < ApplicationController

  def index
    ipm = RrdSource.new("drv")
    filter = create_filter(params)  

    respond_to do |format|
      format.html
      format.xml {
        if ! filter.empty?
          @data = RrdSource.filter_by_keys(ipm.data(3600, "24h"), filter)
        else
          @data = ipm.data(3600, "24h")
        end
        
      }
      format.json {
        if ! filter.empty?
          @data = RrdSource.filter_by_keys(ipm.data, filter)
        else
          @data = ipm.data
        end
        render :json => @data
      }
    end
  end
  
  
  private
  def create_filter(params)
    filter = []
    params.each do |name, value|
      if name =~ /^filt[0-7]$/
        filt_name = return_valid_filter_name(value)
        if ! filt_name.nil?
          filter.push(filt_name) 
        end 
      end

    end

    filter
  end
  
  def return_valid_filter_name(name)
    if filter_options[name]
      return filter_options[name] 
    else 
      return nil
    end
  end
 
  def filter_options
    {'packets_received' => 'Packets received', 'traffic_out' => "Mbit/s out", 
     'packets_out' => 'Packets out', 'packets_blocked' => 'Packets blocked', 
     'packets_transmitted' => 'Packets transmitted', 'packets_in' => 'Packets in',
     'packets_forwarded' => 'Packets forwarded','traffic_in' => 'Mbit/s in'} 
  end
  
  def all_filters
    all_filter_options.values
  end
end
