class Statistics::Top10attacksController < ApplicationController

  before_filter :set_graphtype

  def set_graphtype
    @graphtype = "top10attacks" 
  end
  
  def show 
    @priority = Top10.sanitize_priority(params[:priority])
    @time = Top10.sanitize_time(params[:id])
   
    @href_preffix = "/statistics/#{@graphtype}"
    @href_postfix = "#{@priority}"
    
    @href, attacks = Top10.determine_datasource(@graphtype,@time,@priority,@href_preffix.clone)
    
    @actual_href = "#{@href}/#{@priority}"
    
    #filters = ['cd_checkname','tt_occurrences']
    @attacks = Top10.format_data(attacks)
    Top10.create_y_axis_link(@attacks,"event_name")
    
    respond_to do |format|
      format.html
      format.xml # show.xml.builder
      format.json {render :json => @attacks}
    end
  end
end
