class TracerouteController < ApplicationController

  def index
    
    if session[:traceroute].present? and session[:traceroute].instance_of?(Traceroute)
      session[:traceroute].destroy
      session[:traceroute] = nil
    end
    
    create_trace()
  end

  def get_trace
    results = session[:traceroute].results
    
    if (results[0] == "1" or results[1] == "1") and session[:traceroute].ipv6 == true
      RAILS_DEFAULT_LOGGER.info "[#{Time.now}] TracerouteController.get_trace:  Ipv6 traceroute Failed"
      if session[:traceroute].ipv4 == true
        RAILS_DEFAULT_LOGGER.info "[#{Time.now}] TracerouteController.get_trace:  Trying Ipv4 traceroute with #{session[:traceroute].address}"
        results = Array.new
        session[:traceroute].ipv6_fail = true
        session[:traceroute].trace_ipv4(session[:traceroute].address)
      end
    end

    render :partial => 'trace_output', :locals => {:results => results}
  end

  def trace
    trace_address = params['address']
    if IPv4Validator.validate(trace_address)
      @trace_address = trace_address
      session[:traceroute].trace_ipv4(@trace_address)
    elsif  IPv6Validator.validate(trace_address)
      @trace_address = trace_address
      session[:traceroute].trace_ipv6(@trace_address)
    elsif HostNameValidator.validate(trace_address) && trace_address !~ /^[\d\.]+$/
      @trace_address = trace_address
      session[:traceroute].trace_hostname(@trace_address)
    else
      @trace_address = trace_address
      session[:traceroute].trace_fail(@trace_address)
    end  
    
    render :nothing => true
  end
  
  private
  def create_trace()
    session[:traceroute] = Traceroute.new
  end
end
