class AppletParams 
  attr_reader :id, :height, :width, :classid, :object_codebase, :codebase, :type, :look_and_feel, :theme, :support_file_paths
  attr_reader :cml_repository, :policy, :relative_output_url, :code, :archive, :navigation, :align, :single_post_save, :policy, :url_base
  
  def initialize(policy_id, protocol, host, port)
    @url_base = protocol + construct_url(host,port)
    @policy_id = policy_id
    set_applet_vars
  end
  
  private
  def set_applet_vars
    @id = "CpeControllerApplet"
    @archive = "CPE.jar"
    @height = "450px"
    @width = "100%"
    @classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"
    @codebase="/viewers" 
    @object_codebase="jre/windows/jinstall-1_5-windows-i586.cab#Version=1,5,10,0"
    @type="application/x-java-applet;version=1.5"
    @look_and_feel = "com.jgoodies.looks.plastic.PlasticXPLookAndFeel"
    @theme = "net.iss.cpe.theme.ProventiaMWhiteTheme"
    @support_file_paths = "#{@url_base}/viewers/SupportFiles/|#{@url_base}/policies/"
    @cml_repository = "jar:#{@url_base}/schemas/schemas5_0.jar!/"
    @policy = "stub1_0.xml"
    @relative_output_url = "#{@url_base}/settings/#{@policy_id}?"
    @code = "net.iss.cpe.CpeControllerApplet"
    @navigation = "TOP"
    @align = "baseline"
    @single_post_save = "true"
  end
  
  def construct_url(host, port)
    url = ""
    if IPv6Validator.validate(host)
      url = "[#{host}]"
    else
      url = host
    end
    
    if !port.nil? and port != ""
      url = url + "#{port}"
    end
    
    url
  end
end