class LicenseFile < ActiveRecord::Base
  def self.save(arg)
    raise ApplianceExceptions::FileBlank if file_blank?(arg)
    
    license = arg["license"]["file"]
    raise ApplianceExceptions::FileNotFound if file_not_found?(license)
    raise ApplianceExceptions::FileTooLarge if file_too_large?(license)
    File.open("#{FOLDER_LMI_SPOOL}/#{license.original_filename}", "w"){|f| f.write(license.read)}
  end
  
  def self.install(arg)
    file = arg["license"]["file"]
    Lum.apply_license("#{FOLDER_LMI_SPOOL}#{file.original_filename}")
  end
  
  def self.file_not_found?(arg)
    arg.size == 0
  end
   
  def self.file_blank?(arg)
    (arg["license"].blank? || arg["license"]["file"].blank?)
  end

  def self.file_too_large?(license)
    DataSource.free_space?(license)
  end
end
