class Password < ActiveRecord::Base
  attr_accessor :password_confirmation
  before_save :store_password
  after_save :configure
  
  HUMANIZED_ATTRIBUTES = {
      :old_password => "The old password",
      :password => "Appliance passwords"
    }
  
  validates_presence_of :password, :password_confirmation
  validates_presence_of :old_password, :message => "must be entered"
  validates_confirmation_of :password
  validates_length_of :password, :minimum => 6, :message =>"must be atleast 6 characters long", :allow_nil => true

  def self.human_attribute_name(attr)
    HUMANIZED_ATTRIBUTES[attr.to_sym] || super
  end

  def configure
    Setup.configure_password(@temp_old_password, @temp_password, @temp_account)
  end
  
  def store_password
    @temp_old_password = self.old_password
    @temp_password = self.password
    @temp_account = self.account
    self.old_password = nil
    self.password = nil   
  end
end
