class Pinger < Tool
  
  attr_reader :ipv6, :ipv4, :address
  attr_accessor :ipv6_fail
  
  def initialize()
    @ipv6 = false
    @ipv4 = false
    @ipv6_fail = false
    super(PING)   
  end

  def results
    results = super
    if @ipv6_fail and @ipv4
      results.unshift "Tried IPv6 ping but it failed.  Trying IPv4 ping..."
      results.unshift " "
    end
    
    results
  end
    
  def ping_ipv4(target)
    @ipv4 = true
    @address = target
    execute("-c 4 #{target}")
  end
  
  def ping_ipv6(target)
    @ipv6 = true
    @address = target
    execute("-c 4 #{target}",@tool+"6")
  end
  
  def ping_hostname(target)
    @ipv6 = false
    @ipv4 = false
    @address = target
    addresses = HostInfo.find_address_by_name(target)
    addresses.each do |ip|
      break if @ipv6 or @ipv4
      if IPv6Validator.validate(ip)
        @ipv6 = true
      elsif IPv4Validator.validate(ip)
        @ipv4 = true
      end
    end
    
    if @ipv6
      ping_ipv6(target)
    elsif @ipv4
      ping_ipv4(target)
    end     
  end
  
  def ping_fail(target)
    fail_msg("Ping Failed: The target '#{target}' is invalid.")
  end
  
end
