class SecurityInterface < ActiveRecord::Base
  has_many :segments

  def self.update_state(params) 
    unless params[:adapter].blank?
      params[:adapter].each do |k, v|
        adapter = Adapter.find_by_port(k[8..k.length])
        adapter.speed_duplex = v[:speed_duplex]
        adapter.save!
      end
    end
    params[:segment].each do |k, v|
      segment = Segment.find_by_port(k[8..k.length])
      segment.mode = v[:mode]
      segment.save!
    end
  end

  def self.configure
    vm = Appliance.virtual_appliance
    security_interface = find(:first)
    segments = security_interface.segments[0..(Appliance.segment_count-1)]
    policy = ""
    
    # IMPORTANT: The adapter configuration logic must be equivalent to the
    #            corresponding logic of the provgSetup library.

    segments.each_with_index do |s, i|
      args = {}
      args["vCardID"] = s.port
      args["vCardName"] = (vm ? "Eth#{s.vport}" : "Port#{s.port}")       
      args["vPort1"] = s.adapters.first.port + " (" + s.port + "A)"
      args["vPort1KillDestination"] = "thisPort"
      args["vSpeedDuplexSettings1"] = s.adapters.first.speed_duplex 
      args["vPort2"] = s.adapters.last.port + " (" + s.port + "B)"
      args["vPort2KillDestination"] = "thisPort"
      args["vSpeedDuplexSettings2"] = s.adapters.last.speed_duplex 
      args["vUnanalyzedPolicy"] = "Forward"
      args["vPropagateLink"] = "Auto"
      args["vAdapterMode"] = s.mode
      args["vFailMode"] = "Auto"
      if i%2 == 0
        args["vHAPartnerCard"] = ""
      else
        args["vHAPartnerCard"] = i
      end
      policy = Setup.add_security_interface(args, policy, i)  
    end
    Setup::configure_security_interface(policy)
  end
end
