class TimeDate < ActiveRecord::Base
  require 'rexml/document'
  include REXML
  
  validates_presence_of :ntp_server, :if => :ntp_server_enabled?
  validates_net_address :ntp_server, :if => :ntp_server_enabled?
  validates_length_of :ntp_server, :maximum => 50, :if => :ntp_server_enabled?
  attr_accessor :date, :time
  
  def ntp_server_enabled?
    self.enable_ntp == 1
  end
  
  def after_save
    TimeDate.configure
  end

  def self.configure
    t = find(:first)
    args = {}    
    args['pTimeZone'] = t.timezone
    args['pTime'] = t.current_time.strftime("%H:%M:%S")
    args['pDate'] = t.current_time.strftime("%Y-%m-%d")
    Setup.configure_date_time(args)
    args = {}
    if t.ntp_server_enabled?
      args['pNtpServers'] = t.ntp_server
      args['pNtpVersion'] = { 1 => "NTPv1", 2 => "NTPv2", 3 => "NTPv3", 4 => "NTPv4" }[t.ntp_version]
    end
    args['pNtpInterval'] = "30"
    Setup.configure_ntp(args)
  end

  def get_enable_status(status)
    status.to_i == 0 ? 'false' : 'true'
  end

  def self.date(params)
    d = params[:timedate]
    "#{d["current_time(1i)"]}-#{d["current_time(2i)"]}-#{d["current_time(3i)"]}"
  end

  def self.time(params)
    t = params[:timedate]
    "#{t["current_time(4i)"]}:#{t["current_time(5i)"]}:00"
  end  

  def self.create_time(params)
    t = "#{params[:timedate]["current_time(1i)"]}-#{params[:timedate]["current_time(2i)"]}-"
    t << "#{params[:timedate]["current_time(3i)"]} #{params[:timedate]["current_time(4i)"]}"
    t << ":#{params[:timedate]["current_time(5i)"]}:01"
    t
  end  
end
