module LmiInitializer
  class DbLoader
    def self.load_db_hash
      dbhash = {}
      dbarr = []
    
      File.open("#{ROOTDIR}etc/iss/iss-dbd.conf") do |f|
        f.each_line do |l|
          dbarr << l.split("=") if l =~ /\w+\.db/
        end
      end
 
      dbarr.each {|arg| dbhash[arg[0].strip] = arg[1].strip}
      dbhash
    end
  end

  class ManagedReadOnlyLoader
    def self.managed_read_only_map
       xlstr = []
       tokens = []
       readonlymap = {}

       begin
         xlstr = `#{ROOTDIR}usr/bin/Xalan #{ROOTDIR}etc/crm/SensorPolicyInfoG.xml #{ROOTDIR}etc/crm/transforms/xslt/SensorPolicyInfo_1.2_List.xslt`
         xlarr = xlstr.split("\n")
         xlarr.delete("\n")
         xlarr.delete("\t")
         xlarr.delete("")
         xlarr.each do |s|
           tokens = s.split(",")
           if tokens.size > 5
                readonlymap[tokens[-5].strip] = tokens[-1]
            end
         end
         return readonlymap
       rescue
         return {}
       end
     end
  end

  class Dbmap
    DBMAP = DbLoader.load_db_hash()

   def self.crm
     DBMAP['CRMDatabase']
   end
 
   def self.ips
     DBMAP['IPSEventsDatabase']
   end
 
   def self.issues
     DBMAP['IssuesDatabase']
   end
 
   def self.issues_skeleton
     DBMAP['IssuesDatabaseSkeleton']
   end
 
    def self.patches
     DBMAP['PatchesDatabase']
    end
  end
  
  class ReadOnlyMap
    begin
      MAP = ManagedReadOnlyLoader.managed_read_only_map
    rescue
      #Nothing
    end
  end
  
  class ResetUpdateCache
    update = "#{RAILS_ROOT}/tmp/update-available.cache"
    state = "#{RAILS_ROOT}/tmp/update-state.cache"
    history = "#{RAILS_ROOT}/tmp/update-history.cache"
  
    File.delete("#{RAILS_ROOT}/tmp/update-available.cache") if File.exists?(update)
    File.delete("#{RAILS_ROOT}/tmp/update-state.cache") if File.exists?(state)
    File.delete("#{RAILS_ROOT}/tmp/update-history.cache") if File.exists?(history)
  end
end

class Float
  def round_to(x)
    (self * 10**x).round.to_f / 10**x
  end

  def ceil_to(x)
    (self * 10**x).ceil.to_f / 10**x
  end

  def floor_to(x)
    (self * 10**x).floor.to_f / 10**x
  end
end


MBIT = 1048576.0
GBIT = 1073741824.0



