ActionController::Routing::Routes.draw do |map|
  map.resources :timezones

  map.resources :timezones

  map.resources :timezones

  map.resources :security_interfaces

  map.resources :site_protectors

  map.resources :lmi_filters
  map.resources :events
  map.resources :cpe_properties
  map.resources :link
  map.resources :interface
  map.resources :segments
  map.resources :system_messages
  map.resources :patches
  map.root :action=>'index', :controller=>'main/dashboard'


  #Main Category routes
  map.connect 'sessions', :controller => 'sessions'
  map.connect 'sessions/clear_network_sessions', :controller => 'sessions', :action => "clear_network_sessions"
  map.connect 'main/dashboard', :controller =>'main/dashboard'
  map.connect 'main/dashboard/get_top10_graph', :controller => 'main/dashboard', :action => 'get_top10_graph'
  map.connect 'main/dashboard/get_network_graph', :controller => 'main/dashboard', :action => 'get_network_graph'
  map.connect 'main/dashboard/toggle_sp', :controller => 'main/dashboard', :action => 'toggle_sp'
  map.connect 'main/protection', :controller =>'main/protection'
  map.connect 'main/system_tools', :controller =>'main/system_tools'
  map.connect 'main/diagnostics', :controller =>'main/diagnostics'
  map.connect 'main/logs', :controller =>'main/logs'
  map.connect 'main/configuration', :controller =>'main/configuration'  

  map.connect 'main/intrusion_prevention', :controller =>'main/intrusion_prevention'
  map.connect 'main/firewall', :controller =>'main/firewall'
  #Log managers
  map.connect 'log_managers', :controller => 'log_managers'
  map.connect 'log_managers/log_evidence', :controller => 'log_managers', :action => 'log_evidence'
  map.connect 'log_managers/rolling_packet_captures', :controller => 'log_managers', :action => 'rolling_packet_captures'
  map.connect 'log_managers/dropped_packet_captures', :controller => 'log_managers', :action => 'dropped_packet_captures'
  map.connect 'log_managers/snort_packet_captures', :controller => 'log_managers', :action => 'snort_packet_captures'
  map.connect 'log_managers/delete_log_evidence', :controller => 'log_managers', :action => 'delete_log_evidence'
  map.connect 'log_managers/delete_rolling_packet_captures', :controller => 'log_managers', :action => 'delete_rolling_packet_captures'
  map.connect 'log_managers/delete_dropped_packet_captures', :controller => 'log_managers', :action => 'delete_dropped_packet_captures'
  map.connect 'log_managers/delete_snort_packet_captures', :controller => 'log_managers', :action => 'delete_snort_packet_captures'
  map.connect 'log_managers/:type/*path_info', :controller => 'log_managers', :action => 'show'
 # map.connect 'log_managers/:type/:file.:format', :controller => 'log_managers', :action => 'show'

  
  
  #SPA & HA routes 
  map.connect 'spa/spa_doheartbeat.php', :controller => 'spa', :action => 'do_heartbeat'
  map.connect 'spa/spa_dotaskrequest.php', :controller => 'spa', :action => 'do_taskrequest'
  map.connect 'ha/DBTApplyRuleStrings.php', :controller => 'ha', :action => 'dbt_apply_rules'
  map.connect 'ha/DBTGetRuleStrings.php', :controller => 'ha', :action => 'dbt_get_rules'
  
  #Updates non-restful routes
  map.connect 'updates/view_update_history', :controller => 'updates', :action => 'view_update_history'
  map.connect 'updates/token', :controller => 'updates', :action => 'token'
  map.connect 'updates/install_update', :controller => 'updates', :action => 'install_update'
  map.connect 'updates/install_firmware', :controller => 'updates', :action => 'install_firmware'
  map.connect 'updates/hide_previous_firmware_updates', :controller => 'updates', :action => 'hide_previous_firmware_updates'
  map.connect 'updates/show_previous_firmware_updates', :controller => 'updates', :action => 'show_previous_firmware_updates'
  map.connect 'updates/view_update_log', :controller => 'updates', :action => 'view_update_log'
  map.connect 'updates/legacy_help', :controller => 'updates', :action => 'legacy_help'
  map.connect 'updates/onetrust_help', :controller => 'updates', :action => 'onetrust_help'
  map.connect 'updates/eval_help', :controller => 'updates', :action => 'eval_help'
  map.connect 'updates/upload_update', :controller => 'updates', :action => 'upload_update'
  map.connect 'updates/rollback_update', :controller => 'updates', :action => 'rollback_update'
  map.connect 'updates/upload_license', :controller => 'updates', :action => 'upload_license'
  map.connect 'updates/is_db_update_in_progress', :controller => 'updates', :action => 'is_db_update_in_progress'
  map.connect 'updates', :controller => 'updates', :action => 'index'
  map.connect 'updates/:id', :controller => 'updates', :action => 'index'
  
  #Syslog non-restful routes
  map.connect 'system_logs/get_pagination', :controller => 'system_logs', :action => 'get_pagination'
  map.connect 'system_logs/get_disabled_pagination', :controller => 'system_logs', :action => 'get_disabled_pagination'
  map.connect 'system_logs/save_filter', :controller => 'system_logs', :action => 'save_filter'
  map.connect 'system_logs/manage_filters', :controller => 'system_logs', :action => 'manage_filters'
  map.connect 'system_logs/load_filter', :controller => 'system_logs', :action => 'load_filter'
  map.connect 'system_logs/load_saved_filter', :controller => 'system_logs', :action => 'load_saved_filter'
  map.connect 'system_logs/page_newer', :controller => 'system_logs', :action => 'page_newer'
  map.connect 'system_logs/page_older', :controller => 'system_logs', :action => 'page_older'
  map.connect 'system_logs/page_newest', :controller => 'system_logs', :action => 'page_newest'
  map.connect 'system_logs/page_oldest', :controller => 'system_logs', :action => 'page_oldest'
  map.connect 'system_logs/pagination', :controller => 'system_logs', :action => 'pagination'
  map.connect 'system_logs/refresh', :controller => 'system_logs', :action=>"refresh"

  #System Zoom non-restful routes
  map.connect 'system_zoom', :controller => 'system_zoom', :action => 'show'  
  map.connect 'system_zoom/find/:id', :controller => 'system_zoom', :action => 'show'
  
  #Firewall Zoom non-restful routes
  map.connect 'firewall_zoom', :controller => 'firewall_zoom', :action => 'show'  
  map.connect 'firewall_zoom/find/:id', :controller => 'firewall_zoom', :action => 'show'
    
  #Firewall logs non-restful routes
  map.connect 'firewall_logs/get_pagination', :controller => 'firewall_logs', :action => 'get_pagination'
  map.connect 'firewall_logs/get_disabled_pagination', :controller => 'firewall_logs', :action => 'get_disabled_pagination'
  map.connect 'firewall_logs/save_filter', :controller => 'firewall_logs', :action => 'save_filter'
  map.connect 'firewall_logs/manage_filters', :controller => 'firewall_logs', :action => 'manage_filters'
  map.connect 'firewall_logs/load_filter', :controller => 'firewall_logs', :action => 'load_filter'
  map.connect 'firewall_logs/load_saved_filter', :controller => 'firewall_logs', :action => 'load_saved_filter'
  map.connect 'firewall_logs/page_newer', :controller => 'firewall_logs', :action => 'page_newer'
  map.connect 'firewall_logs/page_older', :controller => 'firewall_logs', :action => 'page_older'
  map.connect 'firewall_logs/page_newest', :controller => 'firewall_logs', :action => 'page_newest'
  map.connect 'firewall_logs/page_oldest', :controller => 'firewall_logs', :action => 'page_oldest'
  map.connect 'firewall_logs/pagination', :controller => 'firewall_logs', :action => 'pagination'

  #SnortProfile non-restful routes
  map.connect 'snort_profiles', :controller => 'snort_profiles'
  map.connect 'snort_profiles/refresh', :controller => 'snort_profiles', :action => 'refresh'
  map.connect 'snort_profiles/view', :controller => 'snort_profiles', :action => 'view'
  map.connect 'snort_profiles/delete_all', :controller => 'snort_profiles', :action => 'delete_all'
  map.connect 'snort_profiles/*path_info', :controller => 'snort_profiles', :action=>'destroy', :conditions => { :method => :delete }
  map.connect 'snort_profiles/*path_info', :controller => 'snort_profiles', :action => 'show'
  
  
  #Health non-restful routes
  map.connect 'health.:format', :controller => 'health'
  map.connect 'health/system.:format', :controller => 'health', :action => 'system'
  map.connect 'health/network.:format', :controller => 'health', :action => 'network'
  map.connect 'health/security.:format', :controller => 'health', :action => 'security'
  map.connect 'health/site_protector.:format', :controller => 'health', :action => 'site_protector'

  #Dashboard non-restful routes
  map.connect 'statistics/memory.:format', :controller => 'statistics/memory'
  map.connect 'statistics/memory/snapshot.:format', :controller => 'statistics/memory', :action => 'snapshot'
  map.connect 'statistics/memory/preview_data/.:format', :controller => 'statistics/memory', :action => 'preview_data'  
  map.connect 'statistics/storage.:format', :controller => 'statistics/storage'
  
  #Statistics routes  
  map.connect 'statistics/interface/bandwidth', :controller => 'statistics/interface/bandwidth', :action => 'show'
  map.connect 'statistics/interface/bandwidth/:id', :controller => 'statistics/interface/bandwidth', :action => 'show'
  map.connect 'statistics/interface/bandwidth/:id/:history', :controller => 'statistics/interface/bandwidth', :action => 'show'

  map.connect 'statistics/interface/bandwidth.:format', :controller => 'statistics/interface/bandwidth'
  map.connect 'statistics/interface/bandwidth/:id.:format', :controller => 'statistics/interface/bandwidth'
  map.connect 'statistics/interface/bandwidth/:id/:history.:format', :controller => 'statistics/interface/bandwidth'

  map.connect 'statistics/interface/packets', :controller => 'statistics/interface/packets', :action => 'show'
  map.connect 'statistics/interface/packets/:id', :controller => 'statistics/interface/packets', :action => 'show'
  map.connect 'statistics/interface/packets/:id/:history', :controller => 'statistics/interface/packets', :action => 'show'

  map.connect 'statistics/interface/packets.:format', :controller => 'statistics/interface/packets'
  map.connect 'statistics/interface/packets/:id.:format', :controller => 'statistics/interface/packets'
  map.connect 'statistics/interface/packets/:id/:history.:format', :controller => 'statistics/interface/packets'



  map.connect 'statistics/segments/bandwidth', :controller => 'statistics/segments/bandwidth', :action => 'show'
  map.connect 'statistics/segments/bandwidth/:id', :controller => 'statistics/segments/bandwidth', :action => 'show'
  map.connect 'statistics/segments/bandwidth/:id/:history', :controller => 'statistics/segments/bandwidth', :action => 'show'

  map.connect 'statistics/segments/bandwidth.:format', :controller => 'statistics/segments/bandwidth'
  map.connect 'statistics/segments/bandwidth/:id.:format', :controller => 'statistics/segments/bandwidth'
  map.connect 'statistics/segments/bandwidth/:id/:history.:format', :controller => 'statistics/segments/bandwidth'

  map.connect 'statistics/segments/packets', :controller => 'statistics/segments/packets', :action => 'show'
  map.connect 'statistics/segments/packets/:id', :controller => 'statistics/segments/packets', :action => 'show'
  map.connect 'statistics/segments/packets/:id/:history', :controller => 'statistics/segments/packets', :action => 'show'

  map.connect 'statistics/segments/packets.:format', :controller => 'statistics/segments/packets'
  map.connect 'statistics/segments/packets/:id.:format', :controller => 'statistics/segments/packets'
  map.connect 'statistics/segments/packets/:id/:history.:format', :controller => 'statistics/segments/packets'

  map.connect 'statistics/bandwidth.:format', :controller => 'statistics/interface/bandwidth', :action=> 'bandwidth'
  map.connect 'statistics/packets.:format', :controller => 'statistics/interface/packets', :action=> 'packets'

  map.connect 'statistics/driver.:format', :controller => 'statistics/driver', :action=> 'index'


  # Aggregate Network Statistics routes
  map.connect 'statistics/network', :controller => 'statistics/network', :action => 'show'
  map.connect 'statistics/network.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3/:filt4.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3/:filt4/:filt5.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3/:filt4/:filt5/:filt6.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3/:filt4/:filt5/:filt6/:filt7.:format', :controller => 'statistics/network'
  map.connect 'statistics/network/:filt1/:filt2/:filt3/:filt4/:filt5/:filt6/:filt7/:filt8.:format', :controller => 'statistics/network' 
  
  # Top 10 Attacks
  map.connect 'statistics/top10attacks.:format', :controller => 'statistics/top10attacks',
              :action => 'show'
  map.connect 'statistics/top10attacks/:id.:format', :controller => 'statistics/top10attacks', 
              :action => 'show'
  map.connect 'statistics/top10attacks/:id/:priority.:format', :controller => 'statistics/top10attacks', :action => 'show' 

  # Top 10 Intruders
  map.connect 'statistics/top10intruders.:format', :controller => 'statistics/top10intruders',
              :action => 'show'
  map.connect 'statistics/top10intruders/:id.:format', :controller => 'statistics/top10intruders', 
              :action => 'show'
  
  # Top 10 Victims
  map.connect 'statistics/top10victims.:format', :controller => 'statistics/top10victims',
              :action => 'show'
  map.connect 'statistics/top10victims/:id.:format', :controller => 'statistics/top10victims', 
              :action => 'show'
  
  # IPM Filtering routes
  map.connect 'statistics/ipm', :controller => 'statistics/ipm', :action => 'show'
  map.connect 'statistics/ipm.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1/:filt2.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1/:filt2/:filt3.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1/:filt2/:filt3/:filt4.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1/:filt2/:filt3/:filt4/:filt5.:format', :controller => 'statistics/ipm'
  map.connect 'statistics/ipm/:filt1/:filt2/:filt3/:filt4/:filt5/:filt6.:format', :controller => 'statistics/ipm'

  map.connect 'statistics/ipsevents.:format', :controller => 'statistics/ipsevents'

  map.connect 'statistics/pam.:format', :controller => 'statistics/pam'
  map.connect 'statistics/networkprotection.:format', :controller => 'statistics/networkprotection' 

  map.connect 'dashboard/network/segment/:id.:format', :controller=> 'dashboard/network', :action=>'segment'

  map.connect 'dashboard/network/segment/:id.:format', :controller=> 'dashboard/network', :action=>'adapter'
 
  # Tool Routes
  map.connect '/ping_tool/ping.:format', :controller => 'ping_tool', :action => "ping"
  map.connect '/ping_tool/get_ping.:format', :controller => 'ping_tool', :action => "get_ping"
  map.connect '/traceroute/trace.:format', :controller => 'traceroute', :action => "trace"
  map.connect '/traceroute/get_trace.:format', :controller => 'traceroute', :action => "get_trace"
  map.connect '/provinfo/gather.:format', :controller => 'provinfo', :action => "gather"
  map.connect '/provinfo/get_provinfo.:format', :controller => 'provinfo', :action => "get_provinfo"
   
  # support Routes
  map.connect '/general_support', :controller => 'general_support'
  
  Policy::Routes.connect_settings_routes(map)

  map.connect '/messages/graph_keys.:format', :controller => '/messages/graph_keys'
  map.connect '/settings/save_all', :controller => 'settings', :action=>'save_all'
  map.connect '/settings/refresh_policy', :controller => 'settings', :action=>'refresh_policy'
  map.connect '/settings/set_currentnode', :controller => 'settings', :action=>'set_currentnode'
  map.connect '/settings/:id', :controller => 'settings', :action=>'create', :conditions => { :method => :post }


  map.resources :messages
  map.resources :filter_criterias
  map.resources :filter_tags
  map.resources :update_histories
  map.resources :appliance_datas
  map.resources :status_entries
  map.resources :system_logs
  map.resources :updates
  map.resources :snort_profiles

  # The priority is based upon order of creation: first created -> highest priority.

  # Sample of regular route:
  #   map.connect 'products/:id', :controller => 'catalog', :action => 'view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   map.purchase 'products/:id/purchase', :controller => 'catalog', :action => 'purchase'
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   map.resources :products

  # Sample resource route with options:
  #   map.resources :products, :member => { :short => :get, :toggle => :post }, :collection => { :sold => :get }

  # Sample resource route with sub-resources:
  #   map.resources :products, :has_many => [ :comments, :sales ], :has_one => :seller
  
  # Sample resource route with more complex sub-resources
  #   map.resources :products do |products|
  #     products.resources :comments
  #     products.resources :sales, :collection => { :recent => :get }
  #   end

  # Sample resource route within a namespace:
  #   map.namespace :admin do |admin|
  #     # Directs /admin/products/* to Admin::ProductsController (app/controllers/admin/products_controller.rb)
  #     admin.resources :products
  #   end

  # You can have the root of your site routed with map.root -- just remember to delete public/index.html.
  # map.root :controller => "welcome"

  # See how all your routes lay out with "rake routes"

  # Install the default routes as the lowest priority.
  # Note: These default routes make all actions in every controller accessible via GET requests. You should
  # consider removing the them or commenting them out if you're using named routes and resources.
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
end
