# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20130522164843) do

  create_table "adapters", :force => true do |t|
    t.integer  "segment_id"
    t.string   "alpha_numeric_port"
    t.string   "port"
    t.string   "speed_duplex",       :default => "Auto"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "appliances", :force => true do |t|
    t.string   "license_cust_company"
    t.string   "license_cust_name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cpe_properties", :force => true do |t|
    t.integer  "link_id"
    t.string   "namespace"
    t.string   "tabloc",     :default => "TOP"
    t.string   "url"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "filter_criterias", :force => true do |t|
    t.string   "criteria"
    t.string   "coltype"
    t.integer  "filter_tag_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "filter_tags", :force => true do |t|
    t.string   "tag"
    t.boolean  "predefined",   :default => false
    t.string   "filter_type"
    t.string   "meta_time"
    t.string   "query_string"
    t.string   "start_time"
    t.string   "end_time"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "javascripts", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "javascripts_links", :force => true do |t|
    t.integer  "link_id"
    t.integer  "javascript_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "links", :force => true do |t|
    t.integer  "parent_id"
    t.string   "page_title"
    t.string   "link_title"
    t.string   "link_subtitle"
    t.string   "controller_name"
    t.string   "controller_path"
    t.string   "position"
    t.boolean  "cpe"
    t.boolean  "admin"
    t.boolean  "management"
    t.boolean  "enabled"
    t.string   "help"
    t.boolean  "nav_item",        :default => true
    t.string   "category_class"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "links_stylesheets", :force => true do |t|
    t.integer  "link_id"
    t.integer  "stylesheet_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "management_interfaces", :force => true do |t|
    t.string  "host_name"
    t.string  "sensor_name"
    t.boolean "multicast_disabled"
    t.boolean "is_static_dns"
    t.integer "ipv4_addressing_method", :limit => 1, :null => false
    t.string  "ipv4_address"
    t.string  "ipv4_gateway"
    t.string  "ipv4_netmask"
    t.integer "ipv6_addressing_method", :limit => 1, :null => false
    t.string  "ipv6_address"
    t.string  "ipv6_prefix_length"
    t.string  "ipv6_gateway"
    t.string  "primary_dns"
    t.string  "secondary_dns"
    t.string  "tertiary_dns"
    t.string  "dns_search_path"
  end

  create_table "passwords", :force => true do |t|
    t.string "account"
    t.string "old_password"
    t.string "password"
  end

  create_table "security_interfaces", :force => true do |t|
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "segments", :force => true do |t|
    t.integer  "security_interface_id"
    t.string   "port"
    t.string   "vport"
    t.string   "mode"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "sessions", :force => true do |t|
    t.string   "session_id", :null => false
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "sessions", ["session_id"], :name => "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], :name => "index_sessions_on_updated_at"

  create_table "site_protectors", :force => true do |t|
    t.string   "group"
    t.boolean  "local_override"
    t.string   "name"
    t.string   "address"
    t.string   "port"
    t.string   "crypto_level"
    t.string   "trust_level"
    t.string   "username"
    t.string   "password"
    t.boolean  "use_proxy"
    t.string   "proxy_address"
    t.string   "proxy_port"
    t.boolean  "proxy_auth_required"
    t.string   "proxy_username"
    t.string   "proxy_password"
    t.string   "connection_interval"
    t.boolean  "register_with_site_protector"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "status_entries", :force => true do |t|
    t.string   "name"
    t.string   "version"
    t.datetime "install_date"
    t.integer  "rollback"
    t.integer  "latest"
    t.integer  "licensed"
    t.string   "license_type"
    t.integer  "license_user_count"
    t.datetime "license_usage_date"
    t.integer  "license_usage_exp"
    t.datetime "license_maint_date"
    t.integer  "license_maint_exp"
    t.string   "license_ocnid"
    t.datetime "discover_time"
    t.string   "major_release_version"
    t.string   "license_cust_company"
    t.string   "license_cust_name"
    t.string   "param_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "stylesheets", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "system_messages", :force => true do |t|
    t.string   "key"
    t.string   "val"
    t.string   "message_type"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "time_dates", :force => true do |t|
    t.string   "timezone"
    t.datetime "current_time"
    t.integer  "enable_ntp",   :limit => 1
    t.string   "ntp_server"
    t.integer  "ntp_version"
  end

  create_table "timezones", :force => true do |t|
    t.string   "offset"
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "update_histories", :force => true do |t|
    t.integer  "status_entry_id"
    t.string   "name"
    t.string   "version"
    t.string   "event_type"
    t.datetime "date"
    t.integer  "success"
    t.string   "log_file"
    t.string   "readme"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "updates", :force => true do |t|
    t.integer  "status_entry_id"
    t.string   "name"
    t.string   "version"
    t.datetime "created_date"
    t.string   "readme_url"
    t.string   "size"
    t.datetime "download_date"
    t.datetime "scheduled_date"
    t.boolean  "critical_update"
    t.boolean  "requires_reboot"
    t.string   "major_release_version"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "users", :force => true do |t|
    t.string   "session_id"
    t.string   "username"
    t.string   "access_level"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "xforces", :force => true do |t|
    t.string   "protection_level"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
