class FilterDate
  require 'parsedate'
  
  FORMAT_BASIC = "%Y-%m-%d %H:%M:%S"
  FORMAT_STANDARD = "%d %b %Y %H:%M:%S"
  FORMAT_STANDARD_SHORT = "%d %b %Y"
  
  def self.add_dates(hash, params)
    return hash if params[:date].nil?
    hash["dates"] = {:start_time => params[:date][:start_time], :end_time => params[:date][:end_time]}
    hash
  end

  def self.parse_time(str)
    return nil if str.nil?
    Time.at(str.to_f / 1000).strftime(FORMAT_BASIC) 
  end
  
  def self.convert_to_local(date)
    return "" if date.nil? or date.empty?
    arr = ParseDate.parsedate(date)
    Time.utc(arr[0],arr[1],arr[2],arr[3],arr[4],arr[5]).getlocal.strftime(FORMAT_BASIC)
  end

  def self.convert_to_local_long_format(date)
    return "" if date.nil? or date.empty?
    arr = ParseDate.parsedate(date)
    Time.utc(arr[0],arr[1],arr[2],arr[3],arr[4],arr[5]).getlocal.strftime(FORMAT_STANDARD)
  end

  def self.standard_date_format(date)
    return "" if date.nil? or date.empty?
    Time.parse(date).strftime(FORMAT_STANDARD)
  end

  def self.standard_date_format_short(date)
    return "" if date.nil? or date.empty?
    Time.parse(date).strftime(FORMAT_STANDARD_SHORT)
  end
  
  def self.convert_to_utc(date)
    return "" if date.nil? or date.empty?
    arr = ParseDate.parsedate(date)    
    Time.local(arr[0],arr[1],arr[2],arr[3],arr[4],arr[5]).getutc.strftime(FORMAT_BASIC)
  end
end
