class LumCore
  def self.refresh_entitlements
    lum_control(:getent=>"")
  end

  def self.find_updates(local="")
    lum_control(:discover => local)
  end
  
  def self.apply_license(path)
     lum_control(:registerlic=>path)
  end

  def self.module_entitlement_info(type="ipm")
    lum_control({:modentinfo=>type})
  end

  def self.customer_info
    lum_control({:custinfo=>""})
  end

  def self.entitlements
    lum_control({:entlist=>""})
  end

  def self.entitled?(type="ipm")
    lum_control({:modentitled=>type})
  end

  def self.update(type="ipm", version=nil)
    vhash = {}
    vhash[:version] = version unless version.blank?
    lum_control({:install=>type}.merge(vhash))
  end

  def self.rollback(type="ipm", version=nil)
    lum_control({:rollback=>type})
  end

  def self.last_update(type="ipm")
    lum_control({:lastupdate=>type})
  end

  def self.set_credentials(user, pwd)
    lum_control({:setcredentials=>"", :user=>user, :pwd=>pwd})
  end  

  def self.clear_credentials
    lum_control({:clearcredentials=>""})
  end 

  def self.reload_lum
    lum_control({:reload=>""})
  end

  def self.last_contact
    lum_control({:lastcontact=>""})
  end

  def self.delete_license
    lum_control({:deletelic=>""})
  end

  def self.reload_license(type="ipm")
    lum_control({:reloadmodlic=>type})
  end

  def self.lum_control(opts={})
    cmd = "#{ROOTDIR}usr/bin/lumCtrl --wait #{opts.map{|k, v| "--#{k} #{v}"}.join(" ")}".strip
    RAILS_DEFAULT_LOGGER.info "EXECUTING lumCtrl command"
    RAILS_DEFAULT_LOGGER.info cmd
    RAILS_DEFAULT_LOGGER.info "END EXECUTING lumCtrl command"
    `#{cmd}`
    $?.success?
  end
end
