namespace :db_reset do
  desc "Resets test database and loads fixtures"
  task :test => [:set_test, :reset_db] do
    ENV['RAILS_ENV'] = ENV['TEMP_VAR']
  end
  
  desc "Resets production database and loads fixtures"
  task :production => [:set_production, :reset_db] do
    ENV['RAILS_ENV'] = ENV['TEMP_VAR']
  end

  desc "Resets development database and loads fixtures"
  task :development => [:set_development, :reset_db] do
    ENV['RAILS_ENV'] = ENV['TEMP_VAR']
  end
  
  task :set_test do
    ENV['TEMP_VAR'] = ENV['RAILS_ENV']
    ENV['RAILS_ENV'] = "test"
  end
  
  task :set_production do
    ENV['TEMP_VAR'] = ENV['RAILS_ENV']
    ENV['RAILS_ENV'] = "production"
  end
  
  task :set_development do
    ENV['TEMP_VAR'] = ENV['RAILS_ENV']
    ENV['RAILS_ENV'] = "development"
  end

  task :reset_db => :def_rake do
    Rake::Task['db_reset:reset_db'].reenable
    sys_call="#{ENV['RAKE']} RAILS_ENV=#{ENV['RAILS_ENV']} db:reset db:fixtures:load --trace"
    puts "running: " + sys_call
    rc = system sys_call
    if rc.eql?(false) then
      raise "An error occured while trying to run: " + sys_call
    end
  end
  
  task :def_rake do
    if ENV['RAKE'].nil? then
      if File.exists?('/usr/bin/rake') then
        ENV['RAKE'] = '/usr/bin/rake'
      elsif File.exists?('/usr/local/bin/rake') then
        ENV['RAKE'] = '/usr/local/bin/rake'
      else
        raise "ERROR: Can't find Rake in /usr/bin, /usr/local/bin or ENV['RAKE']"
      end
    end
  end
end