namespace :package do
  desc "Prepares the production database and creates the lmi rpm packages"
  task :lmi do
    buildnumber = ENV['BUILDNUMBER']
    workdir = ENV['WORKDIR']
    version = ENV['PROD_VERSION']
    
    if buildnumber.nil? then 
      raise "ERROR: Environment variable 'BUILDNUMBER' must be defined"
    end

    if version.nil? then 
      raise "ERROR: Environment variable 'PROD_VERSION' must be defined"
    end

    if workdir.nil? then 
      raise "ERROR: Environment variable 'WORKDIR' must be defined"
    elsif ! File.readable?(workdir) || ! File.directory?(workdir) then
      raise "ERROR: Directory defined by 'WORKDIR' must be a readable directory"
    end
  
    cmd = "/usr/bin/perl "
    cmd += "#{workdir}/packaging/build_rpm.pl "
    cmd += "--version #{version} "
    cmd += "--buildnumber #{buildnumber} "
    cmd += "--build_dir #{workdir}"
    rc = system cmd
    
    if rc.eql?(false) then
      raise "An error occured while trying to build the lmi rpm packages"
    end
  end
end