
var showCompletionScreen = function(){
	$("#setup-configuring").fadeOut("fast", function(){
		$("#sub-header").html("Setup Complete");
		$("#setup-complete").fadeIn();				
	});
};

var reconfigureSetupCompletion = function(){
	$.get("/setup/completion/maintenance_callback", function(){
		$.get("/setup/completion/finalize_maintenance");
	});	
};

var normalSetupCompletion = function(){
	$.get("/setup/completion/setup_callback", function(){
		$.get("/setup/completion/finalize_setup");
	});
};

var kickOffCompletion = function(){
	var type = $("#setup-type").val();
	
	$("#setup-configuring").show();

	if(type === "reconfigure"){
		reconfigureSetupCompletion();
	}else{
		normalSetupCompletion();		
	}
	
	setTimeout("startCompletionPoll()", 5000);
};

var checkComplete = function(){
	$.ajax({
    url: "/setup/completion/check_complete",
    type: "get",
		async: false,
  	error: function(obj, status){	
		if(status == "error"){
			setTimeout("showCompletionScreen()", 20000);
		}
	  },
  	success: function(res){
		if(res === "true" || res == "timeout_exit"){
			setTimeout("showCompletionScreen()", 20000);
		}else{
			startCompletionPoll();
		}
    }
  });
};

var startCompletionPoll = function(){
	$("#setup-configuring").fadeIn();
	setTimeout("checkComplete()", 5000);
};

var checkSetupState = function(){
	var configured = $("#state-configured").val();
	var configuring = $("#state-configuring").val();

	if(configured === "true"){
		showCompletionScreen();
	}else if(configuring === "false"){
		kickOffCompletion();
	}else{
		startCompletionPoll();
	}
};


$(document).ready(function(){
	if($("#state-configured").val() !== undefined){
		$("#sub-header").html("Applying Configuration Settings");
		checkSetupState();
	}
	
  configureInterface();

	$("#enable_ntp_checkbox").click(function(){
		if(!$(this).attr("checked")){
			$("#ntp_server_item").fadeOut();
		}else{
			$("#ntp_server_item").fadeIn();
		}
	});

  $(".next_button").click(function(){
		$("#altnav").val("");
		document.forms["setup_form"].submit();
		return false;
	});

  $(".navigate_post_form").click(function(){
		$("#altnav").val($(this).attr("id"));
		document.forms["setup_form"].submit();
		return false;
	});

	
  $("input[name='management_interface[ipv4_addressing_method]']").click(displayIPv4);
  $("input[name='management_interface[ipv6_addressing_method]']").click(displayIPv6);
  
  $("#site_protector_register_with_site_protector").click(function(){
    if($(this).attr("checked") == true){
      $("#site-protector-settings").fadeIn();
    }else{
      $("#site-protector-settings").fadeOut();   
   }
  });

  $(".decline_button").click(function(){
    var text = $("#confirm-text").val();
      if(confirm(text)){
        document.location = "/setup/service_agreement/decline_sla";  
      }
      return false;
   });
  

  $(".protection-mode-radio").click(function(){
    var sname = $(this).attr("name");
    var sid = sname.substr(17, 1);
    var val = $("input[name='"+sname+"']:checked").val();
    if(val == "Monitoring"){$("#segment-"+sid+"-image").fadeOut();}
    else{$("#segment-"+sid+"-image").fadeIn();}
  }); 

 $("#site_protector_use_proxy").click(function(){
    if($(this).attr("checked") == true){
      $("#proxy-settings").fadeIn();    
    }else{
      $("#site_protector_proxy_address").attr("value", "");
      $("#site_protector_proxy_port").attr("value", "");
      $("#proxy-settings").fadeOut();    
    }    
  });

 $("#site_protector_proxy_auth_required").click(function(){
    if($(this).attr("checked") == true){
      $("#proxy-auth-required-settings").fadeIn();    
    }else{
      $("#proxy-auth-required-settings").fadeOut();    
    }    
  });

  $("#management_interface_is_static_dns").click(function(){
    if($(this).attr("checked") == true){
      $("#dns-settings").fadeIn();  
    }else{
      $("#dns-settings").fadeOut();
    }
  });
  
  $("#password_single_admin_proventia").click(function(){
    if($(this).attr("checked") == true){
      $("#proventia-manager-passwords").fadeOut();  
    }else{
      $("#proventia-manager-passwords").fadeIn();
    } 
  });
  
});

function configureInterface(){
  initIP();
  displayIPv4();
  initSP();
  initPW();
}



function checkUpdatesForm(form){
  if(document.getElementById("license_ufile").value == ""){
    alert("You must supply an updates file to install!")
    return false;
  }else{
    return true;
  }
}


function displayIPv4(){
  var ipv4 = $("input[name='management_interface[ipv4_addressing_method]']:checked").val();
  var ipv6 = $("input[name='management_interface[ipv6_addressing_method]']:checked").val();
  var elm = $("#toggle-ipv4-settings");
  var mdns = $("#management_interface_is_static_dns").attr("checked");

  if(ipv4 == "1"){  // DHCP
      elm.fadeOut();
      $("#toggle-dns-enabled").fadeIn();
  }else{  // Manual
      $("#management_interface_is_static_dns").attr("checked", true);
      elm.fadeIn();
      $("#toggle-dns-enabled").fadeOut();
      $("#dns-settings").fadeIn();
  } 
}


function displayIPv6(){
  var ipv6 = $("input[name='management_interface[ipv6_addressing_method]']:checked").val();
  var ipv4 = $("input[name='management_interface[ipv4_addressing_method]']:checked").val();
  var elm = $("#toggle-ipv6-settings");
  var mdns = $("#management_interface_is_static_dns").attr("checked");

  if(ipv6 == "1"){  // Automatic
  //  if(!mdns && ipv4 == "1"){
  //    $("#manual-dns").fadeIn();
  //    $("#dns-settings").fadeOut();
  //  }
      elm.fadeOut();
  }else{  // Manual
  //   $("#management_interface_is_static_dns").attr("checked", false);
  //    $("#manual-dns").fadeOut();
  //    $("#dns-settings").fadeIn();
      elm.fadeIn();
  } 
}

function displayDNS(){
  var ipv4 = $("input[name='management_interface[ipv4_addressing_method]']:checked").val();
  var mdns = $("#management_interface_is_static_dns").attr("checked");
  if(ipv4 == "2" || mdns == true){
    $("#dns-settings").fadeIn();
  }  
}

function initIP(){
  var version = ["ipv4", "ipv6"];
  var ipcb;
  var elm;
  var mdns;

  for(var i=0; i < version.length; i++){
    ipcb = $("input[name='management_interface["+version[i]+"_addressing_method]']:checked").val();
    elm = $("#toggle-"+version[i]+"-settings");
    mdns = $("#management_interface_is_static_dns").attr("checked");

    if(!mdns){
        $("#dns-settings").addClass("hidden-section").removeClass("shown-section");
      }else{
        $("#dns-settings").addClass("shown-section").removeClass("hidden-section");
      }
    if(ipcb == "1"){
      elm.addClass("hidden-section").removeClass("shown-section");
    }else{
      elm.addClass("shown-section").removeClass("hidden-section");
    } 
  }
}


function initSP(){
  if($("#site_protector_use_proxy").attr("checked") == true){
    $("#proxy-settings").addClass("shown-section").removeClass("hidden-section");    
  }else{
    $("#proxy-settings").addClass("hidden-section").removeClass("shown-section");    
  }    

  if($("#site_protector_proxy_auth_required").attr("checked") == true){
    $("#proxy-auth-required-settings").addClass("shown-section").removeClass("hidden-section");    
  }else{
    $("#proxy-auth-required-settings").addClass("hidden-section").removeClass("shown-section");    
  } 

  if($("#site_protector_register_with_site_protector").attr("checked") == true){
    $("#site-protector-settings").addClass("shown-section").removeClass("hidden-section");    
  }else{
    $("#site-protector-settings").addClass("hidden-section").removeClass("shown-section"); 
  }    
}

function initPW(){
  if($("#password_single_admin_proventia").attr("checked") == false){
    $("#proventia-manager-passwords").addClass("shown-section").removeClass("hidden-section");    
  }else{
    $("#proventia-manager-passwords").addClass("hidden-section").removeClass("shown-section");    
  }    
}

function resizeContent(){
  var content = document.getElementById("content");
  var content_div = document.getElementById("content_div");
  var content_shadow = document.getElementById("right_content_drop_shadow");
  
  content_height = content_div.offsetHeight;
  content.style.height = content_height+"px";
  content_shadow.style.height = content_height+"px";
}




var changeLang = function(){
  $("#loading_indicator").fadeIn();
  var val = document.forms.sla_form.sla_language.value;

  $.ajax({
    url: "/setup/service_agreement/select_language",
    type: "get",
    data: {id:val},
    success: function(data){
      var json_data = eval( "(" + data + ")" );
    
      $("#language_div").html(json_data.text);
      $("#accept-button").html("<span><span>" + json_data["$accept_caption"] + "</span></span>");
      $("#non-ibm-terms-agreement").html(json_data["$submit_text_with_non_ibm"]+"<br/><br/>" );
      $("#decline-button").html("<span><span>" + json_data["$decline_caption"] + "</span></span>");
      $("#confirm-text").val(json_data["$confirm_text2"]);
      $("#top-accept-button").html("<span><span>" + json_data["$accept_caption"] + "</span></span>");
      $("#top-decline-button").html("<span><span>" + json_data["$decline_caption"] + "</span></span>");
      $("#acceptance_text_div").html(json_data["$accept_text"]);
      $("#title_text_div").html(json_data["$title_text"]);
      $("#non-ibm-terms").html(json_data["$non_IBM_caption"]);
      $("#loading_indicator").fadeOut();
    }
  });  

}
