"use strict";

var browswer, OS;

var stateInterval = function () {
  var  ci = 0;

  return {
    setId : function (inc) {
      ci = inc; 
    },
    getId : function () { 
      return ci; 
    }          
  };
}();

var clearMessage = function () {
  $("#update_tools_message").fadeOut("fast");
};

function submitFirmwareForm () {
  document.forms.firmware_form.submit();  
}


var toggleUpload = function () {
  clearMessage();
  $("#upload_updates_div").toggle("fast");
      
  if ($("#upload_link").attr("rev") === "upload") {
    $("#upload_link").attr("rev", "hide");
    $("#upload_link").load("/messages/close_upload_form_tag");
  } else {  
    $("#upload_link").load("/messages/upload_form_tag");
    $("#upload_link").attr("rev", "upload");
  }
  
  if ($("#upload_license_link").attr("rev") === "hide") {
    $("#upload_license_div").toggle("fast");
    $("#upload_license_link").load("/messages/upload_license_tag");
    $("#upload_license_link").attr("rev", "upload");
  }
}


function toggleLicense() {
  clearMessage();
  
  $("#upload_license_div").toggle("fast");
 
  if ($("#upload_license_link").attr("rev") === "upload") {
    $("#upload_license_link").load("/messages/close_upload_license_tag");
    $("#upload_license_link").attr("rev", "hide");
  } else {
    $("#upload_license_link").load("/messages/upload_license_tag");
    $("#upload_license_link").attr("rev", "upload");
  }
  
  if ($("#upload_link").attr("rev") === "hide") {
    $("#upload_updates_div").toggle("fast");
    $("#upload_link").load("/messages/upload_form_tag");
    $("#upload_link").attr("rev", "upload");
  }  
}


function startUpdateInterval() {
   $(".updates").hide("fast");
   $("#find_updates_message").show("fast");
   stateInterval.setId(setInterval(testForDbUpdate, 3000));
}



function testForDbUpdate() {
   $.ajax({
      url: "/updates/is_db_update_in_progress",
      type: "get",
      error: function () {
        alert('Error loading XML document');
      },
      success: function (res) {
        if (res === "false") {
          document.location = "/updates?find_update=true&id="+$("#page_id").attr("value");
          
          clearInterval(stateInterval.getId());
            $("#find_updates_message").hide("fast");
            $(".updates").show("fast");
        } else {
            if (!stateInterval.getId()) {
                startUpdateInterval();
             }
        }
      }
    });
}

function startDbUpdateTest() {
  initialTestForDbUpdate();
}


function stopDbUpdateTest() {
  clearInterval(stateInterval.getId());
}



function displayFindUpdatesMessage() {
  $("#find_updates_message").show("fast");
  
  try{
    stateInterval.setId(setInterval(testForDbUpdate, 3000));
  }catch(ex) {
    //Ignore the connection errors
  }
}




function updateSubmit() {
  $("#installing_msg").show("fast");
  $("#update_confirm").hide("fast");

  $.ajax({
    url: "/updates/install_update",
    type: "get",
    success: function (res) {document.location = "/updates?id="+$("#page_id").attr("value");}
  });
}


function rollbackSubmit(id) {
  $("#rollback_msg").show("fast");
  $("#rollback_confirm").hide("fast");

  $.ajax({
    url: "/updates/rollback_update",
    type: "get",
    success: function (res) {document.location = "/updates?id="+$("#page_id").attr("value");}
  });
}


function cancelConfirm(confirm_link_id, confirm_div_id) {
  $("#"+confirm_div_id).hide("fast", function () {
    $("#"+confirm_link_id).show("fast");
  });
}



function checkAcceptState() {
  var accept_value;
  for(var i = 0; i < document.accept_form.accept_status.length; i++) {
    if (document.accept_form.accept_status[i].checked) {
      accept_value = document.accept_form.accept_status[i].value;
    }
  }
  
  if (accept_value === "yes") {
    hideEar();
    document.location = "/updates/accept_service_license_agreement";
  }else if (accept_value === "no") {
    document.location ="/updates";
  }
}


function isUpdate() {
  for(var i = 0; i < document.update_form.elements.length; i++) {
    if (document.update_form.elements[i].name.substr(0, 6) === "update") {
      if (document.update_form.elements[i].checked) {
        return true;
      }
    }
  }
  return false;
}


function checkUploadForm(tb_id, error) {
  if (document.getElementById(tb_id).value === "") {
    $("#alert_message").load("/messages/"+error, function () {
      $("#update_tools_message").appear("fast");
    });
    return false;
  }
}


$(window).load(function () {
  $("#find_updates_link").click(function () {
    $.get("/updates/find_updates/"+$("#find_updates_link").data("pageid"));
    $(".updates").hide("fast");
    $("#find_updates_message").show("fast");
    try{
      stateInterval.setId(setInterval(testForDbUpdate, 3000));
    }catch(ex) {
      //Ignore the connection errors
    }
  });

  $("#install-token").click(function () {
    $("#install-token-container").toggle("fast", function () {
      if ($(this).css("display") === "none") {
        $("#install-token").html("Enter license token");
      } else {
        $("#install-token").html("Close token form");      
      }
    });    
  });  

  $("#firmware_install_link").click(function () {
    $("#firmware_install_link").hide("fast", function () {
      $("#firmware_confirm").show("fast");
    });
  });
 
 
 $("#update_install_link").click(function () {
    $("#update_install_link").hide("fast", function () {
      $("#update_confirm").show("fast");
    });
  });


 $("#rollback_link").click(function () {
    $("#rollback_link").hide("fast", function () {
      $("#rollback_confirm").show("fast");
    });
  });

 $("#toggle_legend_link").click(function () {
    if ($("#status_ok_icon").css("display") === "none") {
      $("#toggle_legend_link").load("/messages/hide_legend_tag");
      $(".legend_icon").show("fast");
    } else {
      $("#toggle_legend_link").load("/messages/show_legend_tag");
      $(".legend_icon").hide("fast");
    }
  });
 
  $("input[name='token[method]']").click(function () {
    $("#error-container").fadeOut();
    var method = $("input[name='token[method]']:checked").val();
    if (method === "manual") {
      $("#manual-entry").fadeIn("fast");
      $("#my-iss-entry").fadeOut("fast");
      $("input[name='token[username]']").val("");
      $("input[name='token[password]']").val("");      
    } else {
      $("#my-iss-entry").fadeIn("fast");
      $("#manual-entry").fadeOut("fast");
      $("input[name='token[string]']").val("");
     }
  });

  $("#install-token-link").click(function () {
    $("#error-container").fadeOut();
    var method = $("input[name='token[method]']:checked").val();
    var str = $("input[name='token[string]']").val();
    var user = $("input[name='token[username]']").val();
    var pass = $("input[name='token[password]']").val();


    if (method === "manual" && str === "") {
      $("#token-error").html("Token string cannot be left blank");
      $("#error-container").css({"display" : "block", "width":"200px"}).fadeIn();
      return false;
    }else if (method === "myissportal" && (user === "" || pass === "")) {
      $("#token-error").html("Username and password are both required fields when using MyISS credentials");
      $("#error-container").css({"display" : "block", "width":"400px"}).fadeIn();
      return false;
    } else {
      $("#token-form").submit(); 
    }
  }); 

  $("#upload_link").click(toggleUpload);
  $("#upload_license_link").click(toggleLicense);
});

